Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055020 - Review Request:openpgpkey-milter - OPENPGPKEY basd automatic encryption of emails using the milter API
Summary: Review Request:openpgpkey-milter - OPENPGPKEY basd automatic encryption of em...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 01:09 UTC by Paul Wouters
Modified: 2014-02-12 14:42 UTC (History)
1 user (show)

Fixed In Version: openpgpkey-milter-0.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 14:42:20 UTC
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Wouters 2014-01-18 01:09:26 UTC
Spec URL: ftp://ftp.nohats.ca/openpgpkey-milter/openpgpkey-milter.spec
SRPM URL: ftp://ftp.nohats.ca/openpgpkey-milter/openpgpkey-milter-0.2-1.fc20.src.rpm
Description: OPENPGPKEY basd automatic encryption of emails using the milter API
Fedora Account System Username: pwouters

Comment 1 Patrick Uiterwijk 2014-01-29 00:27:32 UTC
This package looks good, but please note that the provided LICENSE file is the LGPLv3 license, wheras the code is dedicated as GPLv2+.

APPROVED.





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Please note that the LICENSE file in upstream is the LGPLv3 license


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: openpgpkey-milter-0.2-1.fc20.noarch.rpm
          openpgpkey-milter-0.2-1.fc20.src.rpm
openpgpkey-milter.noarch: W: spelling-error Summary(en_US) basd -> bass, bad, based
openpgpkey-milter.noarch: W: spelling-error %description -l en_US sendmail -> send mail, send-mail, Sendai
openpgpkey-milter.noarch: W: spelling-error %description -l en_US postfix -> post fix, post-fix, postbox
openpgpkey-milter.noarch: W: spelling-error %description -l en_US plaintext -> plain text, plain-text, plaint ext
openpgpkey-milter.noarch: W: spelling-error %description -l en_US wouters -> routers, pouters, outworkers
openpgpkey-milter.noarch: W: spelling-error %description -l en_US dane -> Dane, sane, dame
openpgpkey-milter.noarch: W: spelling-error %description -l en_US openpgp -> opening
openpgpkey-milter.noarch: W: only-non-binary-in-usr-lib
openpgpkey-milter.noarch: E: non-standard-dir-perm /var/run/openpgpkey-milter 0750L
openpgpkey-milter.noarch: E: non-standard-dir-perm /var/spool/openpgpkey-milter 0770L
openpgpkey-milter.noarch: W: no-manual-page-for-binary openpgpkey-milter
openpgpkey-milter.src: W: spelling-error Summary(en_US) basd -> bass, bad, based
openpgpkey-milter.src: W: spelling-error %description -l en_US sendmail -> send mail, send-mail, Sendai
openpgpkey-milter.src: W: spelling-error %description -l en_US postfix -> post fix, post-fix, postbox
openpgpkey-milter.src: W: spelling-error %description -l en_US plaintext -> plain text, plain-text, plaint ext
openpgpkey-milter.src: W: spelling-error %description -l en_US wouters -> routers, pouters, outworkers
openpgpkey-milter.src: W: spelling-error %description -l en_US dane -> Dane, sane, dame
openpgpkey-milter.src: W: spelling-error %description -l en_US openpgp -> opening
2 packages and 0 specfiles checked; 2 errors, 16 warnings.




Requires
--------
openpgpkey-milter (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    /usr/sbin/sendmail
    config(openpgpkey-milter)
    python-gnupg
    python-pymilter
    systemd
    unbound-python



Provides
--------
openpgpkey-milter:
    config(openpgpkey-milter)
    openpgpkey-milter



Source checksums
----------------
ftp://ftp.nohats.ca/openpgpkey-milter/openpgpkey-milter-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : b4374e4646e340b964655d919d18e94eb8ab45bc9f9f330f079540bc8af71935
  CHECKSUM(SHA256) upstream package : b4374e4646e340b964655d919d18e94eb8ab45bc9f9f330f079540bc8af71935


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055020
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Paul Wouters 2014-01-29 04:04:49 UTC
Thanks. As I am upstream myself, I will fix the license :)

New Package SCM Request
=======================
Package Name: openpgpkey-milter
Short Description: OPENPGPKEY basd automatic encryption of emails using the milter API
Owners: pwouters
Branches: f19 f20 el6 el7
InitialCC:

Comment 3 Gwyn Ciesla 2014-01-29 13:10:53 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-01-30 23:14:52 UTC
openpgpkey-milter-0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openpgpkey-milter-0.2-1.fc19

Comment 5 Fedora Update System 2014-01-30 23:15:44 UTC
openpgpkey-milter-0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openpgpkey-milter-0.2-1.fc20

Comment 6 Fedora Update System 2014-02-01 04:06:11 UTC
openpgpkey-milter-0.2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 7 Fedora Update System 2014-02-03 08:11:34 UTC
openpgpkey-milter-0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openpgpkey-milter-0.3-1.fc20

Comment 8 Fedora Update System 2014-02-03 08:18:11 UTC
openpgpkey-milter-0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openpgpkey-milter-0.3-1.fc19

Comment 9 Fedora Update System 2014-02-04 02:50:57 UTC
Package openpgpkey-milter-0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openpgpkey-milter-0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1986/openpgpkey-milter-0.3-1.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-02-12 14:42:20 UTC
openpgpkey-milter-0.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-02-12 14:42:28 UTC
openpgpkey-milter-0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.